Last modified: 2013-09-26 13:12:16 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 53488 - Article Feedback Tool v5 (AFTv5) adds some unneeded ZWNJ to labels
Article Feedback Tool v5 (AFTv5) adds some unneeded ZWNJ to labels
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
ArticleFeedbackv5 (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on:
Blocks: rtl 51321
  Show dependency treegraph
 
Reported: 2013-08-28 16:58 UTC by reza1615
Modified: 2013-09-26 13:12 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Strange ZWNJ (34.02 KB, image/png)
2013-08-28 16:58 UTC, reza1615
Details

Description reza1615 2013-08-28 16:58:45 UTC
Created attachment 13190 [details]
Strange ZWNJ

I made a screen shot which shows strange bug!
http://tools.wmflabs.org/wikitest-rtl/w/index.php?title=Special:ArticleFeedbackv5/Main_Page&uselang=fa

1 should be راهنما مشاهده صفحه بحث
2 should be بله خیر
I checked translation wiki and it doesn't have ZWNJ at the end of the words!
Comment 1 Gerrit Notification Bot 2013-09-15 08:55:39 UTC
Change 84216 had a related patch set uploaded by Ladsgroup:
Adding a space character between links in the special page in order to avoid bad rendereing in languages like Persian

https://gerrit.wikimedia.org/r/84216
Comment 2 Amir Ladsgroup 2013-09-15 09:05:52 UTC
If you check source of the link you can see the problem

after closing an <a> tag immediately starts another tag, that causes problem in languages like Persian that have different rendering in separated or joined status
(that will solve problem of Arabic language too)

So Just need to merge my patch

Thank you
Comment 3 Gerrit Notification Bot 2013-09-26 13:06:41 UTC
Change 84216 merged by jenkins-bot:
Adding a space character between links in the special page 

https://gerrit.wikimedia.org/r/84216
Comment 4 Amir Ladsgroup 2013-09-26 13:12:16 UTC
It's merged and It's okay now :) Thank you

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links